Retrieve all PDF templates
Roles
Analytics Events
/v2/credentials/compact-semantic/pdf/templatesRetrieves a list of all Semantic CWT credential PDF templates available on the tenant.
Analytic events
- CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_LIST_START
- CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/pdf/templates"{
"nextCursor": "0ecdcb57-ef2b-4aa1-be34-695c2d9d9486",
"data": [
{
"id": "4eea7654-d4c5-4eba-bd7a-5ca334d54725",
"name": "Certificate of participation",
"fileName": "certificate_of_participation",
"fonts": [
{
"name": "PublicSans-Regular",
"fileName": "fonts/PublicSans-Regular.ttf"
}
],
"metadata": {
"title": ""
},
"fields": [
{
"key": "familyName",
"value": "{{payload.sub_claims.familyName}}",
"isRequired": true,
"alternativeText": "{{payload.sub_claims.familyName}}",
"fontName": "PublicSans-Regular"
}
]
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create a PDF template POST
Creates a Semantic CWT credential PDF template based on a provided `.zip` file. Refer to our [PDF template design guide](https://learn.mattr.global/docs/issuance/cwt-credential-templates/pdf-templates) for more information on how to design a template and structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_CREATE_START * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_CREATE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_CREATE_FAIL
Retrieve a PDF template GET
Retrieves an existing Semantic CWT credential PDF template using its ID. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_START * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_FAIL